---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Workers/Pay Slips
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10018_N10015_N10001"></a>Resource URI

Collection of pay slips for a specified worker:

```
/workers/{id}/paySlips
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Worker reference. In place of an ID, you can use the word me to represent the current user.</td></tr></tbody></table><br/>

## <a id="section_N1005C_N10011_N10001"></a>Description

Workers/Pay Slips is a collection of pay slips for a specified worker. You can only view the items permitted by the security profile of the current user.

Workers/Pay Slips supports this method:

-   [GET Workers/Pay Slips](/wcp_docs/jas1381793624924.html#GET)


## <a id="GET"></a>GET Workers/Pay Slips

-   <b>Secured by either:</b>

    <i>Self-Service: Payroll (My Payslips)</i> domain in the Core Payroll functional area or,

    <i>Reports: Pay Calculation Results for Worker (Results)</i> and <i>Worker Data: Payroll (Payslips)</i> domains in the Core Payroll functional area.



The GET method returns pay slips for the specified worker.

No request body required or available for this method. Use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Max</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N100FB_N10011_N10001"></a>GET Workers/Pay Slips Examples

The following GET request retrieves the pay slips for the worker Logan McNeil (id=66faa65677834f0a9b586dd5645e9004):

```
GET /workers/66faa65677834f0a9b586dd5645e9004/paySlips
```

The response is a collection of pay slips for the worker, in JSON format (only 1 pay slip is shown):

```
{
   "total": 3,
   "data": [   {
      "descriptor": "Logan McNeil: 01/31/2008 (Salary) - Complete",
      "id": "8550ea5378314d43b1cacbad633cb027",
      "gross": "20858.34",
      "status":       {
         "descriptor": "Complete",
         "id": "b4a78dee73634adaa417b7976a17e921"
      },
      "net": "11403.99",
      "date": "2008-02-02"
   },
  ...
 ]
}
```

